body {
  background: #333;
  color: #fff;
}
.index-wrapper {
  padding: 30px 0 100px;
}
.index-wrapper h2,
.index-wrapper h3 {
  width: 90%;
  margin: 0 auto;
  padding: 0.2rem;
  background: #333;
  color: #fff;
  border-radius: 8px;
  text-align: center;
}
.index-wrapper h3 {
  background: none;
  color: #333;
}
.index-wrapper .index {
  display: flex;
  flex-wrap: wrap;
  width: 95%;
  margin: 0 auto 50px;
  padding: 30px;
  border-radius: 20px;
  box-shadow: inset 0 5px 1px rgba(0, 0, 0, 0.35), 0 5px 5px rgba(0, 0, 0, 0.5),
    0 15px 25px rgba(0, 0, 0, 0.35);
}
.index .content {
  width: calc(100% / 3 - 20px);
  margin: 8px;
  padding: 10px;
  background: linear-gradient(#555353, #363535, #303030);
  color: #fff;
  text-align: center;
  text-decoration: none;
  border: 2px solid #222;
  border-radius: 8px;
  box-shadow: inset 0 5px 1px rgba(0, 0, 0, 0.35), 0 5px 5px rgba(0, 0, 0, 0.5),
    0 15px 25px rgba(0, 0, 0, 0.35);
}
.index .content:hover {
  box-shadow: inset 0 2px 2px rgba(0, 0, 0, 0.35),
    inset 0 5px 5px rgba(0, 0, 0, 0.5), inset 0 15px 25px rgba(0, 0, 0, 0.35);
  text-shadow: 3px 3px 5px #219cf3, -3px -3px 5px #219cf3;
}

h1 {
  color: #fff;
  text-shadow: 2px 2px 3px #666;
}
h2 {
  text-align: center;
  padding: 0.5rem;
  border-radius: 8px;
  color: #fff;
  text-shadow: 1px 1px 3px #666;
}
.content-wrapper {
  display: none;
  background: rgb(220, 244, 249);
  border-radius: 8px;
  margin: 1rem;
  box-shadow: 3px 3px 15px rgb(0, 136, 169), -3px -3px 15px rgb(0, 133, 166);
}
.content-wrapper.active{
  display: block;
}
.content-wrapper header {
  padding: 2rem 1rem 0;
  background: #fff;
  border-radius: 8px 8px 0 0;
  box-shadow: 0 1px 5px #333;
}
.content-wrapper header #progress {
  width: 80%;
  margin: 1rem 0 0 1rem;
}
.content-wrapper section {
  padding: 1rem;
}
.question-number {
  background: rgb(220, 244, 249);
  margin-left: 1rem;
  padding: 0.3rem;
  color: #333;
  border-radius: 8px;
}
.q,
.ch {
  margin: 0.5rem 1rem;
  padding: 0.3rem 0.5rem;
  font-weight: 600;
}
.ch {
  color: rgb(3, 3, 200);
  font-size: 1.5rem;
  text-shadow: 1px 1px 3px skyblue;
}
.select-wrapper,
.sort-wrapper,
.result-wrapper,
.judge {
  display: flex;
  flex-wrap: wrap;
  background: #fff;
  border-radius: 8px;
  min-height: 80px;
  margin: 1rem;
  padding: 1rem;
  color: #333;
  box-shadow: 1px 1px 3px #666, -1px -1px 3px #666;
  pointer-events: all;
}
.select-wrapper {
  margin-top: 0;
}
.select-wrapper span,
.sort-wrapper span {
  display: block;
  margin: 5px;
  padding: 5px;
  border: 1px dotted #333;
  border-radius: 6px;
  box-shadow: 1px 1px 3px #999;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}
.sort-wrapper span {
  background: rgb(5, 181, 224);
  color: #fff;
  animation: ani 0.3s ease;
}

.result-wrapper{
  display: none;
  text-align: center;
} 
.result-wrapper.active{
  display: block;
}
.result-wrapper table {
  width: 90%;
  max-width: 400px;
  margin: 1rem auto;
}
.result-wrapper table th,
.result-wrapper table td {
  width: 50%;
  padding: .5rem 1rem;
  border: 1px solid #333;
}
.result-wrapper table th {
  background: #219cf3;
  color: #fff;
}
.result-wrapper table td {
  text-align: center;
}
@keyframes ani {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
.judge {
  flex-direction: column;
  align-items: start;
  justify-content: center;
  color: red;
  font-weight: bold;
}
button {
  margin-left: 1rem;
  padding: 0.3rem 0.5rem;
  border: none;
  border-radius: 6px;
  outline: none;
  box-shadow: 1px 1px 3px #666;
  cursor: pointer;
}
button.reset{
  margin: 0;
}
button a{
  text-decoration: none;
}
@media (max-width: 480px) {
  .index-wrapper section {
    padding: 5px;
    margin-bottom: 40px;
  }
  .index-wrapper .index {
    flex-direction: column;
    width: 95%;
    padding: 20px 8px;
  }
  .index .content {
    width: 95%;
    padding: 12px;
    margin: 10px;
    text-align: center;
  }
  .h1Logo {
    width: 340px;
    height: 40px;
  }
  h1 {
    font-size: 1.5rem;
  }
  h2 {
    font-size: 1.3rem;
  }
  .content-wrapper,
  .result-wrapper {
    margin: 30px 0;
  }
  .content-wrapper header {
    padding: 1.5rem 0.5rem 0;
  }
  .content-wrapper section {
    padding: 0.5rem;
  }
  .question-number {
    padding: 0.5rem;
  }
  .select-wrapper,
  .sort-wrapper{
    margin: 1rem 0.5rem;
  }
  .result-wrapper table th {
    width: 70%;
  }
}
